Index: /palm/trunk/SCRIPTS/NCL/spectra.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/spectra.ncl	(revision 217)
+++ /palm/trunk/SCRIPTS/NCL/spectra.ncl	(revision 218)
@@ -26,5 +26,5 @@
    end if
 end if
-   
+
 begin
 
@@ -35,5 +35,5 @@
    if (file_1 .EQ. "File in") then
       print(" ")
-      print("Please provide 1st input file 'file_1=' in 'ncl_preferences.ncl'")
+      print("Declare input file 'file_1=' in 'ncl_preferences.ncl' or prompt")
       print(" ")
       exit 
@@ -41,10 +41,4 @@
       file_in = file_1   
    end if
-   if (.not. isfilepresent(file_in)) then
-      print(" ")
-      print("1st input file: '"+file_in+"' does not exist")
-      print(" ")
-      exit
-   end if 
 
    if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND. format_out .NE. "eps" .AND. format_out .NE. "ps" .AND. format_out .NE. "epsi" .AND. format_out .NE. "ncgm")then
@@ -55,29 +49,29 @@
    end if 
    
-   if (logx .NE. 0 .AND. logx .NE. 1)then
-      print(" ")
-      print("'logx'= "+logx+" is invalid and set to 1")
-      print(" ")
-      logx = 1
+   if (log_x .NE. 0 .AND. log_x .NE. 1)then
+      print(" ")
+      print("'log_x'= "+log_x+" is invalid and set to 1")
+      print(" ")
+      log_x = 1
    end if  
    
-   if (logy .NE. 0 .AND. logy .NE. 1)then
-      print(" ")
-      print("'logy'= "+logy+" is invalid and set to 1")
-      print(" ")
-      logy = 1
+   if (log_y .NE. 0 .AND. log_y .NE. 1)then
+      print(" ")
+      print("'log_y'= "+log_y+" is invalid and set to 1")
+      print(" ")
+      log_y = 1
    end if    
   
-   if (normy .EQ. 0.) then 
-      print(" ")
-      print("You cannot normalise the y-axis with 0, 'normy' is set to 1.0")
-      print(" ")
-      normy = 1.0
-   end if
-   if (normx .EQ. 0.) then 
-      print(" ")
-      print("You cannot normalise the x-axis with 0, 'normx' is set to 1.0")
-      print(" ")
-      normx= 1.0
+   if (norm_y .EQ. 0.) then 
+      print(" ")
+      print("Normalising with 0 is not allowed, 'norm_y' is set to 1.0")
+      print(" ")
+      norm_y = 1.0
+   end if
+   if (norm_x .EQ. 0.) then 
+      print(" ")
+      print("Normalising with 0 is not allowed, 'norm_x' is set to 1.0")
+      print(" ")
+      norm_x= 1.0
    end if
    
@@ -106,8 +100,75 @@
    ; open input file
    ;***************************************************
-
-   f=addfile(file_in,"r")
-   
-   vNam = getfilevarnames(f) 
+   
+   file_in_1 = False
+   if (isStrSubset(file_in, ".nc"))then
+      start_f = -2
+      end_f = -2 
+      file_in_1 = True     
+   end if
+
+   if (start_f .EQ. -1)then
+      print(" ")
+      print("'start_f' must be one of the cyclic numbers (at least 0) of your input file(s)")
+      print(" ")  
+      exit
+   end if 
+   if (end_f .EQ. -1)then
+      print(" ")
+      print("'end_f' must be one of the cyclic numbers (at least 0) of your input file(s)")
+      print(" ")  
+      exit
+   end if 
+
+   files=new(end_f-start_f+1,string)
+   
+   if (file_in_1)then
+      if (isfilepresent(file_in))then
+         files(0)=file_in
+      else
+         print(" ")
+         print("1st input file: '"+file_in+"' does not exist")
+         print(" ")
+         exit
+      end if
+   else   
+      if (start_f .EQ. 0)then
+         if (isfilepresent(file_in+".nc"))then
+            files(0)=file_in+".nc"
+            do i=1,end_f
+	       if (isfilepresent(file_in+"."+i+".nc"))then    
+                  files(i)=file_in+"."+i+".nc"
+	       else
+	          print(" ")
+                  print("Input file: '"+file_in+"."+i+".nc' does not exist")
+                  print(" ")
+                  exit  
+	       end if	    
+            end do         
+         else
+            print(" ")
+            print("Input file: '"+file_in+".nc' does not exist")
+            print(" ")
+            exit
+         end if
+      else
+         do i=start_f,end_f
+            if (isfilepresent(file_in+"."+i+".nc"))then    
+               files(i-start_f)=file_in+"."+i+".nc"
+	    else
+	       print(" ")
+               print("Input file: '"+file_in+"."+i+".nc' does not exist")
+               print(" ")
+               exit  
+	    end if
+         end do
+      end if
+   end if
+
+   f=addfiles(files,"r")
+   f_att=addfile(files(0),"r")
+   ListSetType(f,"cat")
+   
+   vNam = getfilevarnames(f_att) 
    print(" ")
    print("Variables in input file:")
@@ -115,13 +176,13 @@
    print(" ")
    dim = dimsizes(vNam)
-   vDim = getfiledimsizes(f) 
+   vDim = getfiledimsizes(f_att) 
  
-   t_all = f->time
+   t_all = f[:]->time
    nt    = dimsizes(t_all)
    delta_t=t_all(nt-1)/nt
    
-   k_x=f->k_x
+   k_x=f_att->k_x
    dimx=dimsizes(k_x)
-   k_y=f->k_y
+   k_y=f_att->k_y
    dimy=dimsizes(k_y)
    
@@ -131,5 +192,5 @@
    do i=0,dim-1
       if (vNam(i) .EQ. "zu_sp")then
-         zu=f->zu_sp	 
+         zu=f_att->zu_sp	 
 	 if (height_level(0) .EQ. -1)then
 	    dimz=dimsizes(zu)
@@ -150,5 +211,5 @@
       else 
          if (vNam(i) .EQ. "zw_sp")then
-	    zw=f->zw_sp
+	    zw=f_att->zw_sp
 	    if (height_level(0) .EQ. -1)then              
                dimz=dimsizes(zw)
@@ -182,5 +243,5 @@
          print("'start_time_step' = "+ start_time_step +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
          print(" ")
-         print("Please select another 'start_time_step'")
+         print("Select another 'start_time_step'")
          print(" ")
          exit
@@ -204,5 +265,5 @@
       print("'start_time_step' = "+ start_time_step +"h is invalid")
       print(" ")
-      print("Please select another 'start_time_step'")
+      print("Select another 'start_time_step'")
       print(" ")
       exit
@@ -220,5 +281,5 @@
          print("'end_time_step' = "+ end_time_step +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
          print(" ")
-         print("Please select another 'end_time_step'")  
+         print("Select another 'end_time_step'")  
          print(" ")
          exit
@@ -228,5 +289,5 @@
          print("'end_time_step' = "+ end_time_step +"h is lower than 'start_time_step' = "+start_time_step+"h")
          print(" ")
-         print("Please select another 'start_time_step' or 'end_time_step'")
+         print("Select another 'start_time_step' or 'end_time_step'")
          print(" ")
          exit
@@ -245,5 +306,5 @@
       print("'end_time_step' = "+ end_time_step +"h is invalid")
       print(" ")
-      print("Please select another 'end_time_step'")
+      print("Select another 'end_time_step'")
       print(" ")
       exit
@@ -281,26 +342,22 @@
    res@lgLabelFont             = "helvetica"
    res@tmLabelAutoStride       = True
-   res@pmLegendDisplayMode     = "Always"
-   res@pmLegendSide            = "Top"
-   res@pmLegendParallelPosF    = 1.2
-   res@pmLegendOrthogonalPosF  = -1.0
-   res@pmLegendWidthF          = 0.12
-   if (sort .EQ. "time")then
-      res@pmLegendHeightF         = 0.04*(end_time_step-start_time_step+1)
-   else
-      res@pmLegendHeightF         = 0.04*dimz
-   end if
-   res@lgLabelFontHeightF     = .025 
-   res@lgTitleFontHeightF     = .025
-   res@txFontHeightF      = 0.025
-   res@tiXAxisFontHeightF = 0.025
-   res@tiYAxisFontHeightF = 0.025
-   
-   if (logx .EQ. 1) then
+   
+   res@lgLabelFontHeightF     = font_size_legend 
+   res@lgTitleFontHeightF     = font_size
+   res@txFontHeightF      = font_size
+   res@tiXAxisFontHeightF = font_size
+   res@tiYAxisFontHeightF = font_size
+   res@tmXBLabelFontHeightF = font_size
+   res@tmYLLabelFontHeightF = font_size
+   
+   res@tmXBMinorPerMajor = 4
+   res@tmYLMinorPerMajor = 4
+   
+   if (log_x .EQ. 1) then
       res@trXLog = True 
    else
       res@trXLog = False 
    end if
-   if (logy .EQ. 1)then
+   if (log_y .EQ. 1)then
       res@trYLog = True 
    else  
@@ -326,5 +383,5 @@
       plot  = new(dim*dimt,graphic)
       np=dimz
-      res@lgTitleString = "Height [m]"  
+      
       do p=0,dimz-1
          if (height_level(0) .EQ. -1)then
@@ -340,8 +397,8 @@
    if (black .eq. 0 ) then 
       if (np .EQ. 1)then
-         res@xyLineColors = 237
+         color = 237
       else   
          step=round(235/(np-1),3) 
-         res@xyLineColors = ispan(2,237,step)
+         color = ispan(2,237,step)
       end if
    end if
@@ -352,6 +409,4 @@
    wks=gsn_open_wks(format_out,file_out)
    gsn_define_colormap(wks,"rainbow+white") 
-
-   temp=new((/dimt,dimz,dimx/),float)
 
    n=0
@@ -369,17 +424,20 @@
 
       if(check) then 
-      
-         temp = f->$vNam(varn)$(start_time_step:end_time_step,0:dimz-1,:)
-	    
-         a=getvardims(temp)
+
+         temp = f[:]->$vNam(varn)$
+	 data = temp(start_time_step:end_time_step,0:dimz-1,:)
+
+         temp_att = f_att->$vNam(varn)$
+         a=getvardims(temp_att)
          b=dimsizes(a)
 
          if (height_level(0) .NE. -1)then
 	    do te=0,dimz-1
-	       temp(:,te,:) = f->$vNam(varn)$(start_time_step:end_time_step,height_level(te),:)	       
+	    print(height_level(te))
+	       data(:,te,:) = temp(start_time_step:end_time_step,height_level(te),:)	       
 	    end do
 	 end if
 
-         temp=temp/(normy*normx)  ;SMOOTHING: #temp=smth9(temp/norm, 0.50, -0.25, False)#
+         data=data/(norm_y*norm_x)  ;SMOOTHING: #temp=smth9(temp/norm, 0.50, -0.25, False)#
             
          do i=0,b-1            
@@ -402,29 +460,58 @@
             end if
          end do  
-
+	 
+         min_x=new(dimz,double)
+	 max_x=new(dimz,double)
+	 min_y=new(dimz,float)
+	 max_y=new(dimz,float)
+	 plot_h  = new(dimz,graphic)
+	 
          if (isStrSubset(vNam(varn),"x"))then
-            x_axis = f->k_x
-	    x_axis = x_axis/normx
-	    if (normx .NE. 1.)then
-               res@tiXAxisString = "k_x / "+normx
+	    x_axis = new((/dimz,dimx/),double)
+	    do q=0,dimz-1
+               x_axis(q,:) = f_att->k_x
+	       x_axis = x_axis/norm_x
+	    end do
+	    if (norm_x .NE. 1.)then
+               res@tiXAxisString = "k~B~x~N~ ["+unit_x+"]"
 	    else
-	       res@tiXAxisString = "k_x" 
+	       if (norm_height .EQ. 1)then
+	          res@tiXAxisString = "k~B~x~N~ x z [1]"
+	       else
+	          res@tiXAxisString = "k~B~x~N~ [1/m]"
+	       end if
 	    end if
+	    dim_r=dimx
          else
-            x_axis = f->k_y 
-	    x_axis = x_axis/normx
-	    if (normx .NE. 1.)then
-               res@tiXAxisString = "k_y / "+normx
+	    x_axis=new((/dimz,dimy/),double)
+	    do q=0,dimz-1
+               x_axis(q,:) = f_att->k_y 
+	       x_axis = x_axis/norm_x
+	    end do
+	    if (norm_x .NE. 1.)then
+               res@tiXAxisString = "k~B~x~N~ ["+unit_x+"]"
 	    else
-	       res@tiXAxisString = "k_y" 
+	       if (norm_height .EQ. 1)then
+	          res@tiXAxisString = "k~B~x~N~ x z [1]"
+	       else
+	          res@tiXAxisString = "k~B~x~N~ [1/m]"
+	       end if 
 	    end if
+	    dim_r=dimy
          end if
         
          if (sort .EQ. "time")
+	    res@xyLineColors = color
+	    res@pmLegendDisplayMode     = "Always"
+            res@pmLegendSide            = "Top"
+            res@pmLegendParallelPosF    = 1.2
+            res@pmLegendOrthogonalPosF  = -1.0
+            res@pmLegendWidthF          = 0.12
+            res@pmLegendHeightF         = 0.04*(end_time_step-start_time_step+1)
             do p=dimz-1,0,1
-	       if (logy .EQ. 1)then  
+	       if (log_y .EQ. 1)then  
                   do q=0,dimt-1
-                     do r=0,dimsizes(x_axis)-1 
-                        if (temp(q,p,r) .EQ. 0)then
+                     do r=0,dim_r-1 
+                        if (data(q,p,r) .EQ. 0)then
                            st=p+start_time_step
                            print(" ")
@@ -436,15 +523,15 @@
                   end do
 	       end if
-               res@trXMinF = min(x_axis)
-               res@trXMaxF = max(x_axis)
                res@gsnLeftString      = vNam(varn)
-               res@gsnRightString     = "Height = "+z(p)+"m"
-               if (normy .NE. 1.)then
-                  res@tiYAxisString      = vNam(varn)+" / "+normy
-               else
-                  res@tiYAxisString      = vNam(varn)
-               end if
-               res@xyExplicitLegendLabels  = legend_label
-               plot(n)  = gsn_csm_xy(wks,x_axis,temp(:,p,:),res)
+               res@gsnRightString     = "Height = "+z(p)+"m"               
+               res@tiYAxisString      = "["+unit_y+"]"           
+               res@xyExplicitLegendLabels  = legend_label	       
+	       if (norm_height .EQ. 1)then
+	          data(:,p,:)=data(:,p,:)*doubletofloat(z(p))
+		  x_axis(p,:) = x_axis(p,:)*z(p)
+	       end if
+	       res@trXMinF = min(x_axis(p,:))
+               res@trXMaxF = max(x_axis(p,:))
+               plot(n)  = gsn_csm_xy(wks,x_axis(p,:),data(:,p,:),res)
                n=n+1
             end do
@@ -453,6 +540,6 @@
                do p=0,dimt-1 	       
                   do q=0,dimz-1
-                     do r=0,dimsizes(x_axis)-1 
-                        if (temp(p,q,r) .EQ. 0)then
+                     do r=0,dim_r-1 
+                        if (data(p,q,r) .EQ. 0)then
                            st=p+start_time_step
                            print(" ")
@@ -462,22 +549,71 @@
                         end if
                      end do
-                  end do
-                  res@trXMinF = min(x_axis)
-                  res@trXMaxF = max(x_axis)
-                  res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = "Time = "+legend_label(p)+"h"
-                  if (normy .NE. 1.)then
-                     res@tiYAxisString      = vNam(varn)+" / "+normy
-                  else
-                     res@tiYAxisString      = vNam(varn)
-                  end if
-                  res@xyExplicitLegendLabels  = legend_label_z
-                  plot(n)  = gsn_csm_xy(wks,x_axis,temp(p,:,:),res)
-                  n=n+1
+		     if (norm_height .EQ. 1 .AND. p .EQ. 0)then
+		        data(p,q,:) = data(p,q,:)*doubletofloat(legend_label_z(q))
+			x_axis(q,:) = x_axis(q,:)*doubletofloat(legend_label_z(q))
+		     end if
+	             max_y(q)=max(data(p,q,:))
+		     min_y(q)=min(data(p,q,:))
+		     min_x(q)=min(x_axis(q,:))
+		     max_x(q)=max(x_axis(q,:))                                    
+                  end do 
+		  do q=0,dimz-1
+		     res@xyLineColor = color(q)
+		     if (dash .EQ. 1)then
+		        res@xyDashPattern = q
+	             end if
+		     if (q .EQ. 0)then
+		        res@tiYAxisString      = "["+unit_y+"]"		        
+		        res@gsnLeftString      = vNam(varn)
+                        res@gsnRightString     = "Time = "+legend_label(p)+"h"
+		        res@trXMinF = min(min_x)
+                        res@trXMaxF = max(max_x)
+                        res@trYMinF = min(min_y)
+                        res@trYMaxF = max(max_y)
+			
+			plot_h(q)  = gsn_csm_xy(wks,x_axis(q,:),data(p,q,:),res)
+			
+			lgres = True
+			if (dash .EQ. 0)then
+                           lgres@lgMonoDashIndex = True
+			else
+                           lgres@lgDashIndexes   = ispan(0,dimz-1,1)
+			end if
+			if (black .EQ. 1)then
+			   lgres@lgMonoLineColors = True
+			else
+			   lgres@lgLineColors = color
+			end if
+			lgres@lgTitleString = "Height [m]"  
+                        lgres@lgLabelFont        = "helvetica"
+			lgres@lgLabelFontHeightF     = font_size_legend 
+                        lgres@lgTitleFontHeightF     = font_size      
+                        lgres@vpWidthF           = 0.12           
+                        lgres@vpHeightF          = font_size_legend/5*dimz           
+  
+                        lbid = gsn_create_legend(wks,dimz,legend_label_z,lgres)       
+
+                        amres = True
+                        amres@amParallelPosF   = 0.75		    
+                        amres@amOrthogonalPosF = 0.15            
+                        annoid1 = gsn_add_annotation(plot_h(q),lbid,amres)
+		     else
+		        plot_h(q)  = gsn_csm_xy(wks,x_axis(q,:),data(p,q,:),res) 
+			overlay(plot_h(0),plot_h(q))
+		     end if
+		  end do              
+		  plot(n)=plot_h(0)
+		  n=n+1
                end do
             end if
 	 end if
-         delete(temp)
+         delete(data)
+	 delete(temp)
          delete(x_axis)
+	 delete(min_x)
+	 delete(max_x)
+	 delete(min_y)
+	 delete(max_y)
+	 delete(plot_h)
       end if
    end do
@@ -497,16 +633,16 @@
    resP                        = True
    resP@txFont                 = "helvetica"
-   resP@txString               = f@title
+   resP@txString               = f_att@title
    resP@txFuncCode             = "~"
-   resP@txFontHeightF          = 0.014
+   resP@txFontHeightF          = 0.015
 
    if (format_out .EQ. "eps" .OR. format_out .EQ. "epsi") then
       gsn_panel(wks,plot,(/n,1/),resP)
    else    
-      do i = 0,n-1, no_lines*no_columns
-         if( (i+no_lines*no_columns) .gt. (n-1)) then
-            gsn_panel(wks,plot(i:n-1),(/no_lines,no_columns/),resP)
+      do i = 0,n-1, no_rows*no_columns
+         if( (i+no_rows*no_columns) .gt. (n-1)) then
+            gsn_panel(wks,plot(i:n-1),(/no_rows,no_columns/),resP)
          else
-           gsn_panel(wks,plot(i:i+no_lines*no_columns-1),(/no_lines,no_columns/),resP)
+           gsn_panel(wks,plot(i:i+no_rows*no_columns-1),(/no_rows,no_columns/),resP)
          end if
       end do
Index: /palm/trunk/SCRIPTS/NCL/timeseries.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 217)
+++ /palm/trunk/SCRIPTS/NCL/timeseries.ncl	(revision 218)
@@ -33,8 +33,8 @@
    ; set up default parameter values and strings
    ;***************************************************
-  
+   
    if (file_1 .EQ. "File in") then
       print(" ")
-      print("Please provide 1st input file 'file_1=' in 'ncl_preferences.ncl'")
+      print("Declare input file 'file_1=' in 'ncl_preferences.ncl' or prompt")
       print(" ")
       exit 
@@ -42,10 +42,4 @@
       file_in = file_1   
    end if
-   if (.not. isfilepresent(file_in)) then
-      print(" ")
-      print("1st input file: '"+file_in+"' does not exist")
-      print(" ")
-      exit
-   end if 
 
    if (format_out .NE. "x11" .AND. format_out .NE. "pdf" .AND. format_out .NE. "eps" .AND. format_out .NE. "ps" .AND. format_out .NE. "epsi" .AND. format_out .NE. "ncgm")then
@@ -61,5 +55,12 @@
       print(" ")
       over = 0
-   end if   
+   end if  
+   
+   if (norm_t .EQ. 0) then 
+      print(" ")
+      print("Normalising with 0 is not allowed, 'norm_t' is set to 1.0")
+      print(" ")
+      norm_t = 1.0
+   end if 
  
 
@@ -67,8 +68,76 @@
    ; open input file
    ;***************************************************
-
-   f  = addfile(file_in , "r" )
-
-   vNam  = getfilevarnames(f)
+   
+   file_in_1 = False
+   if (isStrSubset(file_in, ".nc"))then
+      start_f = -2
+      end_f = -2 
+      file_in_1 = True     
+   end if
+
+   if (start_f .EQ. -1)then
+      print(" ")
+      print("'start_f' must be one of the cyclic numbers (at least 0) of your input file(s)")
+      print(" ")  
+      exit
+   end if 
+   if (end_f .EQ. -1)then
+      print(" ")
+      print("'end_f' must be one of the cyclic numbers (at least 0) of your input file(s)")
+      print(" ")  
+      exit
+   end if 
+
+   files=new(end_f-start_f+1,string)
+
+   if (file_in_1)then
+      if (isfilepresent(file_in))then
+         files(0)=file_in
+      else
+         print(" ")
+         print("1st input file: '"+file_in+"' does not exist")
+         print(" ")
+         exit
+      end if
+   else   
+      if (start_f .EQ. 0)then
+         if (isfilepresent(file_in+".nc"))then
+            files(0)=file_in+".nc"
+            do i=1,end_f
+	       if (isfilepresent(file_in+"."+i+".nc"))then    
+                  files(i)=file_in+"."+i+".nc"
+	       else
+	          print(" ")
+                  print("Input file: '"+file_in+"."+i+".nc' does not exist")
+                  print(" ")
+                  exit  
+	       end if	    
+            end do         
+         else
+            print(" ")
+            print("Input file: '"+file_in+".nc' does not exist")
+            print(" ")
+            exit
+         end if
+      else
+         do i=start_f,end_f
+            if (isfilepresent(file_in+"."+i+".nc"))then    
+               files(i-start_f)=file_in+"."+i+".nc"
+	    else
+	       print(" ")
+               print("Input file: '"+file_in+"."+i+".nc' does not exist")
+               print(" ")
+               exit  
+	    end if
+         end do
+      end if
+   end if
+
+   f=addfiles(files,"r")
+   f_att=addfile(files(0),"r")
+   ListSetType(f,"cat")
+
+   vNam=getfilevarnames(f_att)
+
    print(" ")
    print("Variables in input file:")
@@ -82,8 +151,8 @@
    end if
 
-   t_all = f->time
+   t_all = f[:]->time
    nt  = dimsizes(t_all)
    delta_t=t_all(nt-1)/nt
-   
+
    ;****************************************************	
    ; start of time step and different types of mistakes that could be done
@@ -97,5 +166,5 @@
          print("'start_time_step' = "+ start_time_step +"h is equal or greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
          print(" ")
-         print("Please select another 'start_time_step'")
+         print("Select another 'start_time_step'")
          print(" ")
          exit
@@ -105,5 +174,5 @@
          print("'start_time_step' = "+ start_time_step +"h is lower than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
          print(" ")
-         print("Please select another 'start_time_step'")
+         print("Select another 'start_time_step'")
          print(" ")
          exit
@@ -123,5 +192,5 @@
       print("'start_time_step' = "+ start_time_step +"h is invalid")
       print(" ")
-      print("Please select another 'start_time_step'")
+      print("Select another 'start_time_step'")
       print(" ")
       exit
@@ -139,5 +208,5 @@
          print("'end_time_step' = "+end_time_step+ "h is lower or equal than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
          print(" ")
-         print("Please select another 'end_time_step'")
+         print("Select another 'end_time_step'")
          print(" ")
          exit
@@ -147,5 +216,5 @@
          print("'end_time_step' = "+ end_time_step +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
          print(" ")
-         print("Please select another 'end_time_step'")  
+         print("Select another 'end_time_step'")  
          print(" ")
          exit
@@ -155,5 +224,5 @@
          print("'end_time_step' = "+ end_time_step +"h is equal or lower than 'start_time_step' = "+start_time_step+"h")
          print(" ")
-         print("Please select another 'start_time_step' or 'end_time_step'")
+         print("Select another 'start_time_step' or 'end_time_step'")
          print(" ")
          exit
@@ -171,5 +240,5 @@
       print("'end_time_step' = "+ end_time_step +"h is invalid")
       print(" ")
-      print("Please select another 'end_time_step'")
+      print("Select another 'end_time_step'")
       print(" ")
       exit
@@ -186,6 +255,5 @@
    print(" ")
 
-   t = f->time(start_time_step:end_time_step)
-
+   t = t_all(start_time_step:end_time_step)/norm_t
   
    ; ***************************************************
@@ -210,11 +278,14 @@
    res@xyLineColors            = (/237/) 
    
-   res@lgLabelFontHeightF     = .02 
+   res@lgLabelFontHeightF     = 0.02
 
    resP                        = True
    resP@txFont                 = "helvetica"
-   resP@txString               = f@title+" time series "
+   resP@txString               = f_att@title+" time series "
    resP@txFuncCode             = "~" 
    resP@txFontHeightF          = 0.015
+
+   res@tmXBMinorPerMajor = 4
+   res@tmYLMinorPerMajor = 4
 
    res@vpWidthF=4
@@ -290,6 +361,7 @@
          count_var=count_var+1
 
-         data_all = f ->$vNam(varn)$ 
-         unit(varn) = data_all@units
+         data_all = f[:]->$vNam(varn)$ 
+	 data_att = f_att->$vNam(varn)$
+         unit(varn) = data_att@units
                 
          data(varn,:)=data_all(start_time_step:end_time_step)
@@ -303,6 +375,6 @@
                if (mini(varn) .EQ. maxi(varn)) then
                   if (min(data(varn,:)) .EQ. 0)then
-                     mini(varn)= mini(varn)-1.
-                     maxi(varn)= maxi(varn)+1.
+                     mini(varn)= mini(varn)-0.1
+                     maxi(varn)= maxi(varn)+0.1
                   end if
                   if (min(data(varn,:)) .LT. 0)then
@@ -322,6 +394,6 @@
                if (mini(varn) .EQ. maxi(varn)) then
                   if (min(data(varn,:)) .EQ. 0)then
-                     mini(varn)= mini(varn)-1.
-                     maxi(varn)= maxi(varn)+1.
+                     mini(varn)= mini(varn)-0.1
+                     maxi(varn)= maxi(varn)+0.1
                   end if
                   if (min(data(varn,:)) .LT. 0)then
@@ -341,6 +413,6 @@
                if (mini(varn) .EQ. maxi(varn)) then
                   if (mini(varn) .EQ. 0)then
-                     mini(varn)= mini(varn)-1.
-                     maxi(varn)= maxi(varn)+1.
+                     mini(varn)= mini(varn)-0.1
+                     maxi(varn)= maxi(varn)+0.1
                   end if
                   if (mini(varn) .LT. 0)then
@@ -360,6 +432,6 @@
                if (mini(varn) .EQ. maxi(varn)) then
                   if (min(data(varn,:)) .EQ. 0)then
-                     mini(varn)= mini(varn)-1.
-                     maxi(varn)= maxi(varn)+1.
+                     mini(varn)= mini(varn)-0.1
+                     maxi(varn)= maxi(varn)+0.1
                   end if
                   if (min(data(varn,:)) .LT. 0)then
@@ -379,6 +451,6 @@
                if (mini(varn) .EQ. maxi(varn)) then
                   if (min(data(varn,:)) .EQ. 0)then
-                     mini(varn)= mini(varn)-1.
-                     maxi(varn)= maxi(varn)+1.
+                     mini(varn)= mini(varn)-0.1
+                     maxi(varn)= maxi(varn)+0.1
                   end if
                   if (min(data(varn,:)) .LT. 0)then
@@ -398,6 +470,6 @@
                if (mini(varn) .EQ. maxi(varn)) then
                   if (min(data(varn,:)) .EQ. 0)then
-                     mini(varn)= mini(varn)-1.
-                     maxi(varn)= maxi(varn)+1.
+                     mini(varn)= mini(varn)-0.1
+                     maxi(varn)= maxi(varn)+0.1
                   end if
                   if (min(data(varn,:)) .LT. 0)then
@@ -417,6 +489,6 @@
                if (mini(varn) .EQ. maxi(varn)) then
                   if (min(data(varn,:)) .EQ. 0)then
-                     mini(varn)= mini(varn)-1.
-                     maxi(varn)= maxi(varn)+1.
+                     mini(varn)= mini(varn)-0.1
+                     maxi(varn)= maxi(varn)+0.1
                   end if
                   if (min(data(varn,:)) .LT. 0)then
@@ -459,5 +531,5 @@
       if(check) then
 
-        if (isStrSubset(vNam(varn),"_0" ))then
+        if (isStrSubset(vNam(varn),"_0 " ))then
             print(" ")
             print("If you have Outputs of statistic regions you cannot overlay variables; 'over' is set to 0")
@@ -470,9 +542,13 @@
             res@gsnLeftString       = "overlayed plot"
             res@gsnRightString      = unit(varn)
-            res@tiXAxisString        = " time [s] "
-            res@tiYAxisString        = " " 
-            res@tiXAxisFontHeightF   = 0.07
-            res@txFontHeightF        = 0.07
-            res@tiYAxisFontHeightF   = 0.07            
+	    if (norm_t .NE. 1.)then
+               res@tiXAxisString        = "t ["+unit_t+"]"
+	    else
+	       res@tiXAxisString        = "t [s]"
+	    end if
+	    res@tiYAxisString = " "
+            res@tiXAxisFontHeightF   = font_size
+            res@txFontHeightF        = font_size
+            res@tiYAxisFontHeightF   = font_size            
 
             if (vNam(varn) .EQ. "E")
@@ -1105,6 +1181,6 @@
                if (min(data(varn,:)) .EQ. max(data(varn,:))) then
                   if (min(data(varn,:)) .EQ. 0)then
-                     res@trYMaxF = min(data(varn,:))-1.
-                     res@trYMinF = max(data(varn,:))+1.
+                     res@trYMaxF = min(data(varn,:))-0.1
+                     res@trYMinF = max(data(varn,:))+0.1
                   end if
                   if (min(data(varn,:)) .LT. 0)then
@@ -1128,15 +1204,21 @@
             res@gsnLeftString       = vNam(varn)
             res@gsnRightString      = unit(varn)
-            res@tiXAxisString        = " time [s] "
-            res@tiYAxisString        = " " 
-            res@tiXAxisFontHeightF   = 0.07
-            res@txFontHeightF        = 0.07
-            res@tiYAxisFontHeightF   = 0.07
+	    if (norm_t .NE. 1.)then
+               res@tiXAxisString        = "t ["+unit_t+"]"
+	    else
+	       res@tiXAxisString        = "t [s]"
+	    end if
+	    res@tiYAxisString = " "
+            res@tiXAxisFontHeightF   = font_size
+            res@txFontHeightF        = font_size
+            res@tiYAxisFontHeightF   = font_size
+	    res@tmXBLabelFontHeightF = font_size
+            res@tmYLLabelFontHeightF = font_size
             res@trYMaxF        = min(data(varn,:))
             res@trYMinF        = max(data(varn,:)) 
             if (min(data(varn,:)) .EQ. max(data(varn,:))) then
                if (min(data(varn,:)) .EQ. 0)then
-                     res@trYMaxF = min(data(varn,:))-1.
-                     res@trYMinF = max(data(varn,:))+1.
+                     res@trYMaxF = min(data(varn,:))-0.1
+                     res@trYMinF = max(data(varn,:))+0.1
                   end if
                   if (min(data(varn,:)) .LT. 0)then
@@ -1162,9 +1244,9 @@
       gsn_panel(wks_ps,plot_ps(1:n),(/n,1/),resP)
    else
-      do np = 1,n,no_lines*no_columns    
-         if ( np + no_lines*no_columns .gt. n) then   
-            gsn_panel(wks_ps, plot_ps(np:n),(/no_lines,no_columns/),resP)
+      do np = 1,n,no_rows*no_columns    
+         if ( np + no_rows*no_columns .gt. n) then   
+            gsn_panel(wks_ps, plot_ps(np:n),(/no_rows,no_columns/),resP)
          else
-            gsn_panel(wks_ps, plot_ps(np:np+no_lines*no_columns-1),(/no_lines,no_columns/),resP)
+            gsn_panel(wks_ps, plot_ps(np:np+no_rows*no_columns-1),(/no_rows,no_columns/),resP)
          end if
       end do
